VERSION 5.00
Begin VB.Form LoadCombo 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Load Combo Box"
   ClientHeight    =   1455
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4830
   Icon            =   "LoadCombo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1455
   ScaleWidth      =   4830
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   375
      Left            =   2520
      TabIndex        =   5
      Top             =   960
      Width           =   855
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "Save"
      Height          =   375
      Left            =   1440
      TabIndex        =   4
      Top             =   960
      Width           =   855
   End
   Begin VB.ComboBox cmbKeywords 
      Height          =   315
      ItemData        =   "LoadCombo.frx":0442
      Left            =   1320
      List            =   "LoadCombo.frx":045B
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   120
      Width           =   3375
   End
   Begin VB.ComboBox cmbCategories 
      Height          =   315
      ItemData        =   "LoadCombo.frx":050F
      Left            =   1320
      List            =   "LoadCombo.frx":0519
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   480
      Width           =   3375
   End
   Begin VB.Label Label4 
      BackStyle       =   0  'Transparent
      Caption         =   "Keywords"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1815
   End
   Begin VB.Label Label4 
      BackStyle       =   0  'Transparent
      Caption         =   "Categories"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1815
   End
End
Attribute VB_Name = "LoadCombo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const C = "~"

Private Sub Form_Load()
'Load ComboBox with default options
    LoadComboBox cmbKeywords
    LoadComboBox cmbCategories
End Sub
Private Sub cmdSave_Click()
'Save any new options to text file
    SaveNewComboBoxEntries cmbKeywords
    SaveNewComboBoxEntries cmbCategories
End Sub
Private Sub cmdExit_Click()
    Unload Me
    End
End Sub
Private Sub cmbKeywords_KeyDown(KeyCode As Integer, Shift As Integer)
'If delete is pressed, remove the option
    If KeyCode = 46 Then
        DeleteComboBoxSelection cmbKeywords
    End If
End Sub
'Open up a text file that has all of the
'default values and pass them to the
'combo box.
Private Sub LoadComboBox(ByVal cmbCurrent As ComboBox, Optional ByVal strNewValue As String = "")
Dim strAllValues As String, intAddValue As Integer
Dim varAllValues, strHoldValue As String
    With cmbCurrent
        Open App.Path & "\" & .Name & ".txt" For Input As #1
            Line Input #1, strAllValues
        Close #1
        varAllValues = Split(strAllValues, C)
            strHoldValue = .Text
            .Clear
            For intAddValue = 0 To UBound(varAllValues)
                .AddItem varAllValues(intAddValue)
            Next
            'If "Sorted = True" then all the values will
            'be alphabetized upon the ComboBox.Refresh
            .Refresh
            .Text = IIf(strNewValue = "", strHoldValue, strNewValue)
    End With
End Sub

'Every time a new file is saved, check to see
'if the user typed in a new value.  If it is
'a new value, save it to the corresponding text
'file for future use, then relaod the combo box
Private Sub SaveNewComboBoxEntries(ByVal cmbCurrent As ComboBox)
Dim strAllValues As String, blnNewValues As Boolean
blnNewValues = False
    With cmbCurrent
        Open App.Path & "\" & .Name & ".txt" For Input As #1
            Line Input #1, strAllValues
        Close #1
        If .Text <> "" Then
            If InStr(1, strAllValues, .Text) = 0 Then
                strAllValues = strAllValues & C & .Text
                blnNewValues = True
            End If
        End If
        If blnNewValues Then
            Open App.Path & "\" & .Name & ".txt" For Output As #1
                Print #1, strAllValues
            Close #1
            LoadComboBox cmbCurrent, .Text
        End If
    End With
End Sub

'Every time delete is pressed, check to see
'if the user wants to remove the option.  If so,
'remove the value from the corresponding text
'file then relaod the combo box
Private Sub DeleteComboBoxSelection(ByVal cmbCurrent As ComboBox)
Dim strNewValues As String, intAddValues As Integer
    If MsgBox("Do you want to permanently delete" & vbCrLf & _
        "this option from the ComboBox?", vbQuestion + vbYesNo) = vbYes Then
        With cmbCurrent
            If .List(.ListIndex) <> "" Then
                For intAddValues = 0 To .ListCount - 1
                    If .List(intAddValues) <> .List(.ListIndex) Then
                        If strNewValues = "" Then
                            strNewValues = .List(intAddValues)
                        Else
                            strNewValues = strNewValues & C & .List(intAddValues)
                        End If
                    End If
                Next
                Open App.Path & "\" & .Name & ".txt" For Output As #1
                    Print #1, strNewValues
                Close #1
                .Text = IIf(.Text = .List(.ListIndex), "", .Text)
                LoadComboBox cmbCurrent, .Text
            End If
        End With
    End If
End Sub

